## org.codehaus.modello.maven
Class ModelloXpp3ReaderMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.codehaus.modello.maven.AbstractModelloGeneratorMojo
              org.codehaus.modello.maven.ModelloXpp3ReaderMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    public class ModelloXpp3ReaderMojo

extends AbstractModelloGeneratorMojo

Creates an XPP3 reader from the model.

Version:
  $Id: ModelloXpp3ReaderMojo.java 765 2006-12-27 00:00:20Z aheritier $
Author:
  Brett Porter

Field Summary

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`ModelloXpp3ReaderMojo()`

Method Summary
`protected java.lang.String` `getGeneratorType()`
`java.io.File` `getOutputDirectory()`
`void` `setOutputDirectory(java.io.File outputDirectory)`

Methods inherited from class org.codehaus.modello.maven.AbstractModelloGeneratorMojo
`createParameters, customizeParameters, execute, getBasedir, getModelloCore, getModels, getPackageWithVersion, getProject, getVersion, producesCompilableResult, producesResources, setBasedir, setBuildContext, setModelloCore, setModels, setPackagedVersions, setPackageWithVersion, setProject, setVersion`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelloXpp3ReaderMojo

    public ModelloXpp3ReaderMojo()

Method Detail

### getGeneratorType

    protected java.lang.String getGeneratorType()

  Specified by:
    `getGeneratorType` in class `AbstractModelloGeneratorMojo`

### getOutputDirectory

    public java.io.File getOutputDirectory()

  Specified by:
    `getOutputDirectory` in class `AbstractModelloGeneratorMojo`

### setOutputDirectory

    public void setOutputDirectory(java.io.File outputDirectory)

Copyright © 2001-2011 Codehaus. All Rights Reserved.